Actions APIReferenceVaultsSlugInstant redeem
Build transactions to instant-redeem NestVault shares.
Path Parameters
slug*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
redemptionAsset*string
ERC20 address of the desired instant redemption asset on the requested chain.
Match
^0x[a-fA-F0-9]{40}$shareAmount*string
Raw base-unit amount of vault shares to instant-redeem (string for bigint safety).
Match
^\d+$chainId*integer
EVM chain ID. Must be supported and must match a chain the vault is deployed on.
Range
0 < valueuser*string
User/owner address instant-redeeming shares.
Match
^0x[a-fA-F0-9]{40}$receiver?string
Optional receiver of redeemed assets. Defaults to user.
Match
^0x[a-fA-F0-9]{40}$skipSimulation?boolean
Skip the transaction simulation preflight.
Default
falseResponse Body
application/json
application/json
application/json
curl -X POST "https://example.com/vaults/nest-wisdom-vault/instant-redeem/build-tx" \ -H "Content-Type: application/json" \ -d '{ "redemptionAsset": "0x222365ef19f7947e5484218551b56bb3965aa7af", "shareAmount": "1000000", "chainId": 98866, "user": "0x00000000000000000000000000000000000000ab" }'{ "data": { "redemptionType": "nest", "slug": "string", "chainId": 0, "shareTokenAddress": "string", "redemptionAsset": "string", "nestVaultAddress": "string", "user": "string", "receiver": "string", "shareAmount": "string", "shareDecimals": 0, "redemptionAmount": "string", "redemptionDecimals": 0, "feeAmount": "string", "transactions": [ { "label": "approve", "description": "string", "to": "string", "data": "string", "value": "0" } ] }}